It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
I've gotten as far as Upper Hadar where I can't speak to NPCs to advance the plot. I came across downloads for the earlier version, but I'm obviously not tech savvy enough to replace the correct files. Can anyone provide me with the 'idiot's guide' version of this? It would be nice to play through the rest of the game now that I've gone this far...
No posts in this topic were marked as the solution yet. If you can help, add your reply
avatar
jamieren: I've gotten as far as Upper Hadar where I can't speak to NPCs to advance the plot. I came across downloads for the earlier version, but I'm obviously not tech savvy enough to replace the correct files. Can anyone provide me with the 'idiot's guide' version of this? It would be nice to play through the rest of the game now that I've gone this far...
The easiest way is to download the following link and then extract the three files (overwriting if necessary) to C:\WHERE_YOU_HAVE_THE_GAME_INSTALLED\Kings Bounty - The Legend\sessions\base\

http://childofbhaal.chez-alice.fr/OperationKordar.rar

For more info about this file see there;
https://www.gog.com/forum/kings_bounty_series/gogs_kings_bounty_the_legend_v1_7_build_35396_has_some_serious_bugs/post35

If you need any more help, post back :)
avatar
Pajama: ...
Does it mean that after so many years GOG version of KB:TL is still buggy?
avatar
Pajama: ...
avatar
Lexor: Does it mean that after so many years GOG version of KB:TL is still buggy?
It appears so except I think the problem is that not everyone encounters this bug. I've played through the game loads of times (with a clean reinstall every time) but have only ever encountered it once. Thankfully the OperationKordar file fixed it.
Actually the right way is ONLY to update exe file to v1.7 build 35234.
That's most stable build and that's make it on par with steam version.
My exe pack is still available here:
https://nosferatu.g0x.ru/pub/kb_legend/kbl_v1.7_exe_pack.zip
atari's exe is most universal.
avatar
Pajama: It appears so except I think the problem is that not everyone encounters this bug. I've played through the game loads of times (with a clean reinstall every time) but have only ever encountered it once.
And let me guess, you encountered this bug only on last playthrough..I described the problem with upper hadar in that thread: https://www.gog.com/forum/kings_bounty_series/kbtl_how_to_load_the_game_after_the_upper_hadar_solution.
Back in time this bug hadn't affected gog's version, but they twice downgraded exe to fix other bugs:
Intialiity they have exe of non-finished and not-released build(v1.7 build 35396). It has bugs so they revert to v1.7 build 35234, but exe was unproperly cracked and it causes another bugs. So they revert exe file again to v1.7 build 34387 breaking save-game compatibility and some scripts like upper hadar because resources still depends on build v1.7 build 35234.
Post edited January 04, 2018 by CkNoSFeRaTU
avatar
CkNoSFeRaTU: Actually the right way is ONLY to update exe file to v1.7 build 35234.
That's most stable build and that's make it on par with steam version.
My exe pack is still available here:
https://nosferatu.g0x.ru/pub/kb_legend/kbl_16_9_mod.zip
atari's exe is most universal.
There doesn't seem to be an exe in this file, this looks to be a mod pack.
Oops, my bad, fixed link in previous post.
I am trying your pack, what version i should use?
I can't run the steam version and i don't need the russian one, but there a still the following executables:

kb_34387_gog.exe I think this is the GOG default version, so it seems bugged (necromancy doesn't work, upper hadar bug)
kb_35234_atari.exe I tried this, necromancy skill is working and upper hadar npc can be talked.
kb_35234_gog.exe Another bugged gog build right?
kb_35234_vitality.exe No idea
kb_35396_ggate.exe No idea too
Post edited November 16, 2018 by drk84x
avatar
drk84x: I am trying your pack, what version i should use?
I can't run the steam version and i don't need the russian one, but there a still the following executables:
kb_35234_atari.exe is the best: no DRM, have multi-language support and is bug free.

Others are there only for collection:
- kb_34387_gog.exe - current one on gog, it is old non-DRM build which have issues with latest game resources (broken upper hadar, etc)
- kb_35234_steam.exe - current one on steam, bug free but require steam, so useless
- kb_35234_vitality.exe - cracked steam exe, improper DRM removal introduced bugs
- kb_35234_gog.exe - previous exe distributed on gog, same DRM removal method as vitality, same issues.
- kb_35234_russian.exe - also bug free and no DRM, but have only russian language support.
- kb_35396_ggate.exe - first exe distributed on gog, it is unfinished beta-build, no DRM, it fixes couple of engine functions used only by modding community but has it's own bugs.
Post edited November 16, 2018 by CkNoSFeRaTU
Yes it seems to work perfectly, it fixs upper hadard and necromancy
Thank you
Post edited November 16, 2018 by drk84x
Anyone happen to know whether or not these same issues are around for the OSX version?
avatar
CkNoSFeRaTU: kb_35234_atari.exe is the best: no DRM, have multi-language support and is bug free.
Thank you.
The link seems to be dead everywhere. I found it here: https://web.archive.org/web/20180604152048/https://nosferatu.g0x.ru/pub/kb_legend/kbl_v1.7_exe_pack.zip
Thanks. It was still working for me 2 days ago. Might be only temporary.